<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Data" %>
<html>
<head>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		string[] array = { "item1", "item2", "item3" };
		datalist1.DataSource = array;

		ArrayList arraylist = new ArrayList();
		arraylist.Add("item1");
		arraylist.Add("item2");
		arraylist.Add("item3");
		datalist2.DataSource = arraylist;

		Hashtable ht = new Hashtable();
		ht.Add("item1", "0");
		ht.Add("item2", "1");
		ht.Add("item3", "2");
		datalist3.DataSource = ht;
		datalist4.DataSource = ht;

		DataTable dt = new DataTable();
		dt.Columns.Add(new DataColumn("text", typeof(String)));
		dt.Columns.Add(new DataColumn("value", typeof(Int32)));
		DataRow dr;
		for (int i = 0; i < 3; i++) {
			dr = dt.NewRow();
			dr[0] = "item" + (i + 1);
			dr[1] = i;
			dt.Rows.Add(dr);
		}
		datalist5.DataSource = new DataView(dt);
		datalist6.DataSource = new DataView(dt);

		DataBind();
	} else {
	}
}
</script>
</head>
<body>
<form runat="server">
<table border="1">
<tr><td>Array</td><td>ArrayList</td>
    <td>HashtableiDataBinderLj</td><td>HashtableiDataBinderj</td>
	<td>DataViewiDataBinderLj</td><td>DataViewiDataBinderj</td>
</tr>
<tr>
<td>
	<asp:DataList id="datalist1" runat="server">
		<ItemTemplate>
			<%# Container.DataItem %>
		</ItemTemplate>
	</asp:DataList>
</td><td>
	<asp:DataList id="datalist2" runat="server">
		<ItemTemplate>
			<%# Container.DataItem %>
		</ItemTemplate>
	</asp:DataList>
</td><td>
	<asp:DataList id="datalist3" runat="server">
		<ItemTemplate>
			<%# DataBinder.Eval(Container.DataItem, "Key") %>
			<%# DataBinder.Eval(Container.DataItem, "Value") %>
		</ItemTemplate>
	</asp:DataList>
</td><td>
	<asp:DataList id="datalist4" runat="server">
		<ItemTemplate>
			<%# ((DictionaryEntry)Container.DataItem).Key %>
			<%# DataBinder.Eval(Container.DataItem, "Value") %>
		</ItemTemplate>
	</asp:DataList>
</td><td>
	<asp:DataList id="datalist5" runat="server">
		<ItemTemplate>
			<%# DataBinder.Eval(Container.DataItem, "text") %>
			<%# DataBinder.Eval(Container.DataItem, "value") %>
		</ItemTemplate>
	</asp:DataList>
</td><td>
	<asp:DataList id="datalist6" runat="server">
		<ItemTemplate>
			<%# ((DataRowView)Container.DataItem)["text"] %>
			<%# DataBinder.Eval(Container.DataItem, "value") %>
		</ItemTemplate>
	</asp:DataList>
</td></table>
</form>
</body>
</html>
